# Default values for central-mssql.
# This is a YAML-formatted file.
# Declare variables to be passed into your templates.

SA_PASSWORD: "P@ssw0rd"
ACCEPT_EULA: "Y"
MSSQL_PID: "Developer"
MSSQL_COLLATION: "Arabic_CI_AI"
MSSQL_TCP_PORT: "1433"


replicaCount: 1

image:
  repository: mcr.microsoft.com/mssql/server ## https://hub.docker.com/_/microsoft-mssql-server
  tag: 2019-latest
  pullPolicy: IfNotPresent

imagePullSecrets: []
nameOverride: ""
fullnameOverride: ""

# If deploy on Local Host Path K8S enable localpvc only, if on GKE enable gkepvc only
localpvc:
  enabled: false
  size: 10Gi

gkepvc:
  enabled: true
  size: 10Gi

service:
  type: ClusterIP
  port: 1433

ingress:
  enabled: false
  annotations: {}
    # kubernetes.io/ingress.class: nginx
    # kubernetes.io/tls-acme: "true"
  hosts:
    - host: chart-example.local
      paths: []

  tls: []
  #  - secretName: chart-example-tls
  #    hosts:
  #      - chart-example.local

resources:
  # We usually recommend not to specify default resources and to leave this as a conscious
  # choice for the user. This also increases chances charts run on environments with little
  # resources, such as Minikube. If you do want to specify resources, uncomment the following
  # lines, adjust them as necessary, and remove the curly braces after 'resources:'.
  limits:
    cpu: 2000m
    memory: 3096Mi
  requests:
    cpu: 500m
    memory: 1024Mi

nodeSelector: {}
  # Node: Non-Preemptible

tolerations: {}
# - key: "apptype"
#   operator: "Equal"
#   value: "db"
#   effect: "NoSchedule"

affinity: {}
